App\Entity\Fournisseur:
    type: entity
    table: fournisseur
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        raison_sociale:
            type: string
            length: 255
            fixed: false
            nullable: false
        description:
            type: text
            nullable: true
        adresse:
            type: text
            nullable: false
        email:
            type: string
            length: 255
            fixed: false
            nullable: true
        telephone:
            type: string
            length: 255
            fixed: false
            nullable: true
        fax:
            type: string
            length: 255
            fixed: false
            nullable: true
        patente:
            type: string
            length: 255
            fixed: false
            nullable: true
        ice:
            type: string
            length: 255
            fixed: false
            nullable: true
        photo:
            type: string
            length: 255
            fixed: false
            nullable: true
        icon:
            type: string
            length: 255
            fixed: false
            nullable: true
        lat:
            type: string
            length: 255
            fixed: false
            nullable: true
        lng:
            type: string
            length: 255
            fixed: false
            nullable: true
        zoom:
            type: string
            length: 255
            fixed: false
            nullable: true
        motscles:
            type: text
            nullable: true
        totalHT:
            type: float
            nullable: true
        totalTtc:
            type: float
            nullable: true
        totalRetour:
            type: float
            nullable: true
        totalPaye:
            type: float
            nullable: true
        reliquat:
            type: float
            nullable: true
        prefix_bc:
            type: string
            length: 255
            fixed: false
            nullable: true
        prefix_facturation:
            type: string
            length: 255
            fixed: false
            nullable: true
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: fournisseurs
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
    oneToMany:
        contacts:
            targetEntity: ContactFournisseur
            mappedBy: fournisseur
        catalogues:
            targetEntity: CatalogueFournisseur
            mappedBy: fournisseur
        achats:
            targetEntity: Achat
            mappedBy: fournisseur
        commandes:
            targetEntity: Commande
            mappedBy: fournisseur
        paiements:
            targetEntity: PaiementAchat
            mappedBy: fournisseur
    manyToMany:
        produits:
            targetEntity: Produit
            mappedBy: fournisseurs